CREATE INDEX DEPT_IX_01 ON department(department_id, location_id);

ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

SELECT /*+ gather_plan_statistics qb_name (v_outer) */
       v1.*
  FROM (SELECT /*+ qb_name (IV1) no_merge */
               e1.*, 
               d1.location_id
          FROM employee e1, 
               department d1
         WHERE e1.department_id = d1.department_id 
           AND d1.department_id = 30
        ) v1,
       (SELECT   /*+ qb_name (IV2) no_merge */
                 AVG (salary) avg_sal_dept, 
                 d2.department_id
            FROM employee e2, 
                 department d2, 
                 location l2
           WHERE e2.department_id = d2.department_id
             AND l2.location_id = d2.location_id
        GROUP BY d2.department_id
       ) v2_dept
 WHERE v1.department_id = v2_dept.department_id
   AND v1.salary > v2_dept.avg_sal_dept ;

ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

DROP INDEX DEPT_IX_01;