ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

WITH v AS  (SELECT /*+ inline */
                   department_id, SUM (salary) AS sal
              FROM employee
             WHERE job_id = 'ST_CLERK'
             GROUP BY department_id )
SELECT d.department_id, d.department_name, v.sal
  FROM department d, v
 WHERE d.department_id = v.department_id 
   AND v.sal = (SELECT MAX (v.sal) 
                  FROM v) ;

ALTER SESSION SET EVENTS '10053 trace name context off';