CREATE TABLE sales_t AS SELECT * FROM sales;

CREATE TABLE products_t AS SELECT * FROM products;

ALTER TABLE products_t ADD CONSTRAINT pk_products_t      --> PK  ε 
PRIMARY KEY (prod_id) USING INDEX;

CREATE BITMAP INDEX sales_t_prod_bix ON sales_t (prod_id);  --> BIT MAP ε 

exec dbms_stats.gather_table_stats(user,'SALES_T',cascade=>true); 

exec dbms_stats.gather_table_stats(user,'PRODUCTS_T',cascade=>true);  


SELECT /*+ GATHER_PLAN_STATISTICS QB_NAME(MAIN) */
       s.prod_id, s.channel_id, SUM (quantity_sold) AS qs, SUM (amount_sold) AS amt
  FROM sales_t s
 WHERE s.prod_id IN (SELECT /*+ QB_NAME(SUB) */
                            p.prod_id
                       FROM products_t p
                      WHERE p.prod_category_desc = 'Software/Other')
 GROUP BY s.prod_id, s.channel_id;

select * from table(dbms_xplan.display_cursor(null,null,'allstats last'));