SELECT /*+ GATHER_PLAN_STATISTICS */
         prod_id, channel_id, SUM (qs) AS qs, SUM (amt) AS amt
    FROM (SELECT /*+ NO_MERGE USE_NL(PR S) */
                 s.prod_id, s.channel_id, 
                 quantity_sold AS qs, amount_sold AS amt
            FROM sales_t s, products_t pr
           WHERE s.prod_id = pr.prod_id 
             AND pr.prod_category_desc = 'Software/Other')
GROUP BY prod_id, channel_id  ;

select * from table(dbms_xplan.display_cursor(null,null,'allstats last'));