CREATE TABLE big_emp AS
SELECT ROWNUM AS employee_id, first_name, last_name, email, phone_number,
       hire_date, job_id, salary, commission_pct, manager_id, department_id, emp_kind
  FROM employee a,
       (SELECT LEVEL AS NO FROM DUAL CONNECT BY LEVEL <= 2000) b;

ALTER TABLE big_emp
   ADD ( CONSTRAINT pk_big_emp PRIMARY KEY (employee_id) USING INDEX );

exec dbms_stats.gather_table_stats(user, 'BIG_EMP', cascade => true);  

SELECT /*+ GATHER_PLAN_STATISTICS */
       a.employee_id, a.salary
  FROM big_emp a
 WHERE EXISTS (SELECT /*+ USE_HASH(b) */
                      1
                 FROM department b
                WHERE b.department_id = a.department_id);
                
select * from table(dbms_xplan.display_cursor(null,null,'allstats last'));  